using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Dynamic;
using System.Text;
using Domain;
using Dao;
using RestSharp;
using RCUHost;
using RCUHost.Implement;

namespace Service.Implement
{
    public class TFTP_SettingManager : GenericManagerBase<TFTP_Set>, ITFTP_SettingMananger
	{

       
        public int Add(TFTP_Set test)
        {
            return ((Dao.ITFTP_SetRepository)(this.CurrentRepository)).Add(test);
        }

        public new void Update(TFTP_Set n)
        {
            ((Dao.ITFTP_SetRepository)(this.CurrentRepository)).Update(n);
        }

        public new void UpdateOrSave(TFTP_Set n)
        {
            ((Dao.ITFTP_SetRepository)(this.CurrentRepository)).SaveOrUpdate(n);
        }
        private static log4net.ILog logger = log4net.LogManager.GetLogger(typeof(TFTP_SettingManager));




        public TFTP_Set GetData(int hotelid, int hostid)
        {
            return ((Dao.ITFTP_SetRepository)(this.CurrentRepository)).GetDataBy(hotelid,hostid);
        }






    }
}
